Subject: Re: [PATCH v2 10/19] documentation: add documentation of the index-v5 file format

From: Thomas Gummerer <[email-masked]>
Date: Sun, 04 Aug 2013 19:58:50 +0200

Duy Nguyen <[email-masked]> writes:

> On Sat, Jul 13, 2013 at 12:26 AM, Thomas Gummerer <[email-masked]> wrote:
>> +== Header
>> +   sig (32-bits): Signature:
>> +     The signature is { 'D', 'I', 'R', 'C' } (stands for "dircache")
>> +
>> +   vnr (32-bits): Version number:
>> +     The current supported versions are 2, 3, 4 and 5.
>> +
>> +   ndir (32-bits): number of directories in the index.
>> +
>> +   nfile (32-bits): number of file entries in the index.
>
> I just noticed that "file" command can show the number of entries,
> something like this
>
> .git/index: Git index, version 4, 2625 entries
>
> Maybe we can swap ndir and nfile to immitate pre-v5 format, so
> unmodified "file" still shows correct number of entries/files with v5?

Cool, I didn't know that worked.  In that case it makes sense to
immitate pre-v5 format.  Will change this in the re-roll.

Just a heads up about my progress, I'm currently trying out your
suggestions about storing the directories as tree-format when reading
and storing the dummy entries in the index.  I'll make some experiments
to see if the change is worth it, and will then send a re-roll, probably
in a couple of weeks.